package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Author: Wynne.Lu
 * @CreateDate: 2019/10/18 3:25 下午
 * @Description:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_PROD_PACK")
@Api("产品包装关系")
public class MesProdPack extends BaseBean implements Serializable {
    private static final long serialVersionUID = -5748484568201154400L;

    @Column(name = "PART_NO")
    @ApiParam("物料号")
    private String partNo;

    @Column(name = "CUSTOMER_CODE")
    @ApiParam("客户代码")
    private String customerCode;

    @Column(name = "PACK_SPEC")
    @ApiParam("包装规格")
    private String packSpec;

    @Column(name = "PROD_LABEL_TEMPLATE")
    @ApiParam("产品标签模板")
    private String prodLabelTemplate;

    @Column(name = "PACK_LABEL_TEMPLATE")
    @ApiParam("包装标签模板")
    private String packLabelTemplate;

    @Column(name = "PACK_LABEL_TEMPLATE2")
    @ApiParam("包装标签模板2")
    private String packLabelTemplate2;

    @Column(name = "PACK_LABEL_TEMPLATE3")
    @ApiParam("包装标签模板3")
    private String packLabelTemplate3;

    @Column(name = "PACK_LABEL_TEMPLATE4")
    @ApiParam("包装标签模板4")
    private String packLabelTemplate4;

    @Column(name = "PROD_CFG_TYPE")
    @ApiParam("项目")
    private String prodCfgType;
}
