package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.mes.annotation.ElasticSearch;
import cn.estsh.i3plus.pojo.mes.annotation.Json4Es;
//import com.sun.tools.javac.util.List;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.ArrayList;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/3/20 5:51 下午
 * @Modify:
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ElasticSearch
public class EsProductDataModule extends BaseBean implements Serializable {

    private static final long serialVersionUID = 4514407617515827040L;

    @ApiParam("工作中心")
    private String workCenterCode;

    @ApiParam("工作中心名称")
    private String workCenterName;

    @ApiParam("工作单元")
    private String workCellCode;

    @ApiParam("工作单元名称")
    private String workCellName;

    @ApiParam("过程条码")
    private String serialNumber;

    @ApiParam("产品条码")
    private String productSn;

    @ApiParam("工单号")
    private String orderNo;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partDesc;

    @ApiParam("设备代码")
    private String equCode;

    @ApiParam("设备名称")
    private String equName;

    @ApiParam("对象代码")
    private String objectCode;

    @ApiParam("对象名称")
    private String objectName;

    @ApiParam("字段代码")
    private String fieldCode;

    @ApiParam("字段名称")
    private String fieldName;

    @ApiParam("字段值")
    private String fieldValue;

    @ApiParam("数据行号")
    private String rowNo;

    @ApiParam("数据组号")
    private String groupNo;

    @Json4Es
    @ApiParam("生产数据")
    private ArrayList<ProductDataModel> lineData;

    @ApiParam("字段总数")
    private Integer fieldNum;
}
