package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :MES_JIT发运队列
 * @Reference :
 * @Author : qianhausheng
 * @CreateDate : 2020-03-06 10:16 上午
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_QUEUE_SHIPPING")
@Api("MES_JIT发运队列")
public class MesQueueShipping extends BaseBean implements Serializable {

    private static final long serialVersionUID = 655875369308414110L;

    @Column(name = "JIT_NO")
    @ApiParam("队列编号")
    private String jitNo;

    @Column(name = "PROD_CFG_CODE")
    @ApiParam("配置代码")
    private String prodCfgCode;

    @Column(name = "VIN_CODE")
    @ApiParam("vin")
    private String vinCode;

    @Column(name = "CUST_FLAG_NO")
    @ApiParam("客户标识号")
    private String custFlagNo;

    @Column(name = "SEQ")
    @ApiParam("排序号")
    private Double seq;

    @Column(name = "STATUS")
    @ApiParam("状态")
    private Integer status;

    @Column(name = "CUST_CODE")
    @ApiParam("客户代码")
    private String custCode;

    @Column(name = "CUST_PLANT_CODE")
    @ApiParam("客户产线代码")
    private String custPlantCode;

    @Column(name = "JIT_LOT_NO")
    @ApiParam("JIT队列批次")
    private String jitLotNo;

    @Column(name = "JIT_ACTUAL_NO")
    @ApiParam("客户JIT队列编号")
    private String jitActualNo;

}
