package cn.estsh.i3plus.pojo.model.common;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @Description : 报表类选择模型
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-12-29 15:17
 * @Modify:
 **/
@Data
public class ClassModel implements Serializable {

    @ApiParam(value ="服务ID")
    private int serverId;

    @ApiParam(value ="服务ID")
    private String serverName;

    @ApiParam(value ="服务对象ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long serverPojoId;

    @ApiParam(value ="服务对象别名")
    private String serverPojoNameAlias;

    @ApiParam(value ="包名")
    private String packageName;

    @ApiParam(value ="类名")
    private String clzSimpleName;

    @ApiParam(value ="表名称名")
    private String clzTableName;

    @ApiParam(value ="类全名")
    private String clzFullName;

    @ApiParam(value ="类描述")
    private String clzDesc;

    @ApiParam(value ="属性集合")
    private List<ClassFieldModel> fieldList;
}
