package cn.estsh.i3plus.pojo.model.form;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.enumutil.BlockFormEnumUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Map;

/**
 * @Description : 表单操作数据模型
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2020-04-02 10:22
 * @Modify:
 **/
@Data
@ApiModel("表单操作数据模型")
@NoArgsConstructor
public class FormOperateDataModel {

    @ApiModelProperty("关联标识")
    private String refId;

    @ApiModelProperty("关联名称")
    private String refName;

    @ApiModelProperty("操作来源")
    @AnnoOutputColumn(refClass = BlockFormEnumUtil.FORM_TRIGGER_SOURCE.class)
    private String triggerSource;

    @ApiModelProperty("来源名称")
    private String sourceName;

    @ApiModelProperty("操作数据集合")
    private List<Map<String,String>> operateDataList;

}
