package cn.estsh.i3plus.pojo.ptl.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/2/12 17:41
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "PTL_WINDOW_ELEMENT_ATTRIBUTE")
@EqualsAndHashCode(callSuper = true)
@Api("PTL_界面元素属性")
public class PtlWindowElementAttribute extends BaseBean implements Serializable {
    private static final long serialVersionUID = -1596427582758285995L;

    @Column(name = "WINDOW_NO")
    @ApiParam("界面代码")
    private String windowNo;

    @Column(name = "ELEMENT_NO")
    @ApiParam("元素代码")
    private String elementNo;

    @Column(name = "ATTRIBUTE_NO")
    @ApiParam("属性代码")
    private String attributeNo;

    @Column(name = "ATTRIBUTE_VALUE")
    @ApiParam("属性值")
    private String attributeValue;

}
