package cn.estsh.i3plus.pojo.wms.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description : 车辆信息
 * @Reference :
 * @Author : gcj
 * @CreateDate : 2019-12-06 15:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_CAR")
@Api("车辆信息")
public class WmsCar extends BaseBean {

    @Column(name="CAR_NO")
    @ApiParam(value ="车牌号")
    private String carNo;

    @Column(name="CAR_DESC")
    @ApiParam(value ="车辆描述")
    private String carDesc;

    @Column(name="MAX_CAPACITY")
    @ApiParam(value ="载重量(KG)")
    private String maxCapacity;

    @Column(name="DRIVER_NO")
    @ApiParam(value ="默认驾驶员")
    private String driverNo;

    @Column(name="PHONE")
    @ApiParam(value ="车主电话")
    private String phone;

    @Column(name="VENDOR_NO")
    @ApiParam(value ="所属供应商")
    private String vendorNo;

    @Transient
    @ApiParam("司机名称")
    private String driverNameRdd;

    @Transient
    @ApiParam(value = "供应商名称")
    private String vendorNameRdd;

    @Column(name = "MAP_LOCATION")
    @ApiParam("经纬度")
    private String mapLocation;
}
