package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;


/**
 * @Description : 客户窗口时间
 * @Reference :
 * @Author : jason
 * @CreateDate : 2020-04-14
 * @Modify:
 **/
@Data
@Entity
@Table(name="WMS_CUST_WINDOW")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api(value="客户窗口时间",description = "客户窗口时间")
public class WmsCustWindow extends BaseBean {

    @Column(name = "CUST_NO")
    @ApiParam(value = "客户编码")
    private String custNo;

    @Column(name = "CUST_WINDOW_TIME")
    @ApiParam(value = "窗口时间")
    private String custWindowTime;

    @Column(name = "WEEKS")
    @ApiParam(value = "星期")
    private String weeks;

    @Column(name = "DELAY_HOUR")
    @ApiParam(value = "容差")
    private Integer delayHour;
}
