package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.DynamicField;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.WmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;

/**
 * @Description :替代料
 * @Reference :
 * @Author : dragon.xu
 * @CreateDate : 2018-11-07 16:06
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "WMS_SUB_PART", indexes = {
        @Index(columnList = "ORGANIZE_CODE")
})
@Api("替代料")
public class WmsSubPart extends BaseBean {

    @Column(name = "PART_NO")
    @ApiParam(value = "物料编码")
    @DynamicField(webFieldType = WmsEnumUtil.FIELD_TYPE.TEXT)
    private String partNo;

    @Column(name = "SUB_PART_NO")
    @ApiParam(value = "替代物料编码")
    @DynamicField(webFieldType = WmsEnumUtil.FIELD_TYPE.TEXT)
    private String subPartNo;

    @Column(name = "PART_NAME")
    @ApiParam(value = "物料名称")
    @DynamicField(webFieldType = WmsEnumUtil.FIELD_TYPE.TEXT)
    private String partName;

    @Column(name = "SUB_PART_NAME")
    @ApiParam(value = "替代物料名称")
    @DynamicField(webFieldType = WmsEnumUtil.FIELD_TYPE.TEXT)
    private String subPartName;
}
